SpringXMLUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.util.SpringXMLUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.util
Class SpringXMLUtils

    java.lang.Object
      org.mule.util.XMLUtils
          org.mule.config.spring.util.SpringXMLUtils

    public class SpringXMLUtils

extends XMLUtils

These only depend on standard (JSE) XML classes and are used by Spring config code. For a more extensive (sub-)class, see the XMLUtils class in the XML module.

Field Summary
`static String` | `MULE_DEFAULT_NAMESPACE`
`static String` | `MULE_NAMESPACE_PREFIX`

Constructor Summary
`SpringXMLUtils()`

Method Summary
`static String` | `getNameOrId(Element element)`
`static boolean` | `isBeansNamespace(Element element)`
`static boolean` | `isMuleNamespace(Element element)`

Methods inherited from class org.mule.util.XMLUtils
`attributeName, elementToString, getTextChild, isLocalName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_DEFAULT_NAMESPACE

    public static final String MULE_DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### MULE_NAMESPACE_PREFIX

    public static final String MULE_NAMESPACE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### SpringXMLUtils

    public SpringXMLUtils()

Method Detail

### isMuleNamespace

    public static boolean isMuleNamespace(Element element)

### isBeansNamespace

    public static boolean isBeansNamespace(Element element)

### getNameOrId

    public static String getNameOrId(Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.